### A free/open-source library for quantitative finance

Public Member Functions
EURLibor Class Reference

base class for all BBA EUR LIBOR indexes but the O/N More...

`#include <ql/indexes/ibor/eurlibor.hpp>`

Inheritance diagram for EURLibor:
[legend]

List of all members.

## Public Member Functions

| EURLibor (const Period &tenor, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Date calculations
see http://www.bba.org.uk/bba/jsp/polopoly.jsp?d=225&a=1412
Date | valueDate (const Date &fixingDate) const
Date | maturityDate (const Date &valueDate) const

## Detailed Description

base class for all BBA EUR LIBOR indexes but the O/N

Euro LIBOR fixed by BBA.

See <http://www.bba.org.uk/bba/jsp/polopoly.jsp?d=225&a=1414>.

Warning:
  This is the rate fixed in London by BBA. Use Euribor if you're interested in the fixing by the ECB.